Skip to main content
PATCH
Update a agent

Authorizations

Authorization
string
header
required

OAuth2 Authorization Code flow

Path Parameters

id
string
required

Agent ID

Body

application/json
name
string
Maximum string length: 255
slug
string
Maximum string length: 255
description
string | null
icon
object | null
status
enum<string>
Available options:
available,
draft,
native,
internal
target_type
enum<string>

Target entity type (optional)

Available options:
company,
company_group,
person,
lawsuit
archived
boolean
deletedAt
boolean
format
enum<string>

Agent format

Available options:
markdown,
pptx,
docx
source_file_id
string

File upload ID for the source agent file

pptx_metadata
object

Updated PPTX presentation metadata

current_version
string

Current version identifier (ISO timestamp). When set with source_file_id, adds to versions array.

model
string
Maximum string length: 100
instructions
string | null
execution_mode
enum<string>

How page-run tasks are sent to the managed agent

Available options:
iterative,
one_shot
steps
object[]
evaluations
object[]
skills_mode
enum<string>

auto grants every skill visible to the org; custom uses skill_ids; disabled grants none

Available options:
auto,
custom,
disabled
skill_ids
string[]
Maximum array length: 20
tools_mode
enum<string>

auto grants every published custom tool of the org; custom uses custom_tool_ids; disabled grants none

Available options:
auto,
custom,
disabled
custom_tool_ids
string[]
Maximum array length: 20
subagent_ids
string[]

Subagent IDs this agent coordinates as a multiagent

Maximum array length: 20
tool_configs
object[]
Maximum array length: 128
mcp_servers
object[]
Maximum array length: 20
web_access
object

Response

Agent updated successfully

object
string
required

Object type

Example:

"page"

id
string
required

Unique identifier

Example:

"p_abc123"

createdAt
string<date-time>
required

Creation timestamp

Example:

"2024-01-15T10:30:00.000Z"

updatedAt
string<date-time>
required

Last update timestamp

Example:

"2024-01-15T14:45:00.000Z"

name
string
required

Agent name

Example:

"Project Management Agent"

slug
string
required

URL-friendly slug

Example:

"project-management"

status
enum<string>
required

Agent publication status

Available options:
available,
draft,
native,
internal
steps
object[]
required
evaluations
object[]
required
execution_mode
enum<string>
default:one_shot
required
Available options:
iterative,
one_shot
orgId
string
required

Organization ID

Example:

"org_123"

sync_status
enum<string>
required

Managed sync status

Available options:
pending,
preparing,
ready,
error
web_access
object
required
tool_configs
object[]
required

Built-in tool permissions

mcp_servers
object[]
required

MCP servers wired to this agent

createdBy
Created by · object

Principal who created this object

Example:
updatedBy
Updated by · object

Principal who last updated this object

Example:
description
string | null

Agent description

Example:

"Manage projects with Kanban boards"

icon
object | null

Agent icon

target_type
string | null

Target entity type

Example:

"company"

format
enum<string> | null

Agent format

Available options:
markdown,
pptx,
docx
source_file_id
string | null

Source file upload ID (for pptx/docx agents)

pptx_metadata
object | null

PPTX presentation metadata (for pptx agents)

has_steps
boolean
default:false

Whether the agent has configured steps

versions
object[]

Version history for PPTX agent analyses

current_version
string | null

Currently active version (ISO timestamp)

datasets
string[]

Distinct dataset slugs used across all steps of this agent

Example:
sync_at
string | null

Last successful managed sync timestamp

sync_error
string | null

Last managed sync error

skills_mode
enum<string>

auto grants every skill visible to the org; custom uses skill_ids; disabled grants none

Available options:
auto,
custom,
disabled
skill_ids
string[]

Skill IDs enabled for this agent

instructions
string | null
tools_mode
enum<string>

auto grants every published custom tool of the org; custom uses custom_tool_ids; disabled grants none

Available options:
auto,
custom,
disabled
custom_tool_ids
string[]

Custom tool IDs enabled for this agent

subagent_ids
string[]

Subagent IDs this agent coordinates as a multiagent

knowledge_file_ids
string[]

File upload IDs that make up this agent knowledge base